function opeForm_ImageProcess() {
	$(".ope-form-add-image").on("click", function () {
		$("body").find(".ope-form-add-image").removeClass("current");
		$(this).addClass("current");
		if (!$("body").hasClass("show-ope-form-image-processor")) {
			$("body").addClass("show-ope-form-image-processor");
		}
	});

	$(".upload-image-content .btn-remove").on("click", function () {
		$(this)
			.parent(".img-temp-content")
			.removeClass("has-image")
			.find("img")
			.attr("src", "");
		$(this).parent(".img-temp-content").find('input[type="hidden"]').val("");
		$(".ope-form-image-processor #resizeImage").html("");
	});

	$(".close-ope-form-processor-card").on("click", function () {
		if ($("body").hasClass("show-ope-form-image-processor")) {
			$("body").removeClass("show-ope-form-image-processor");
		}
		$(".ope-form-image-processor #resizeSection").addClass("hidden");
		$(".ope-form-image-processor #dragAndDropSection").removeClass("hidden");
	});

	$(".ope-form-image-processor #drop").on("click", function () {
		$(".ope-form-image-processor #fileUpload").trigger("click");
	});

	$(".ope-form-image-processor #fileUpload").on("change", function (e) {
		addImage(e.target);
		e.target.value = "";
	});

	$(".ope-form-image-processor #drop").on("dragover", function (e) {
		e.preventDefault();
		e.stopPropagation();
		$(this).addClass("dragging");
	});

	$(".ope-form-image-processor #drop").on("dragleave", function (e) {
		$(this).removeClass("dragging");
	});

	$(".ope-form-image-processor #drop").on("drop", function (e) {
		e.preventDefault();
		e.stopPropagation();
		var data = e.dataTransfer || e.originalEvent.dataTransfer;
		addImage(data);
	});

	function addImage(data) {
		$(".ope-form-image-processor #dragAndDropSection").addClass("hidden");
		$(".ope-form-image-processor").addClass("loading");
		let imgCondition = "max-width";
		var file = data.files[0];
		if (file.type.indexOf("image") === -1) {
			alert($globalObjct.not_a_image);
			return false;
		}
		var reader = new FileReader();
		reader.onload = function (event) {
			var img = new Image();
			img.onload = function () {
				if (
					(img.height / img.width).toFixed(2) >=
					(
						$(".ope-form-image-processor").height() /
						$(".ope-form-image-processor").width()
					).toFixed(2)
				) {
					imgCondition = "max-height";
				} else {
					imgCondition = "max-width";
				}
				if (
					img.width < $globalObjct.crop_image_width ||
					img.height < $globalObjct.crop_image_height
				) {
					alert($globalObjct.not_large_enough);
					return false;
				}
				if (
					img.width > $globalObjct.image_max_width ||
					img.height > $globalObjct.image_max_height
				) {
					alert($globalObjct.too_large);
					return false;
				}
				cropImage(img, imgCondition);
			};
			img.src = event.target.result;
		};
		reader.readAsDataURL(file);
	}

	function cropImage(originalImage, imageCondition) {
		$(originalImage).attr("id", "fullImage").addClass(imageCondition);
		$(".ope-form-image-processor #resizeImage").html(originalImage);
		$(".ope-form-image-processor #resizeSection").removeClass("hidden");
		$(".ope-form-image-processor").removeClass("loading");
		var newImage = new imageCrop(
			"#fullImage",
			$globalObjct.crop_image_width,
			$globalObjct.crop_image_height
		);

		$(".ope-form-image-processor #crop")
			.off()
			.on("click", function () {
				var results = newImage.crop();
				$(".ope-form-image-processor #resizeSection").addClass("hidden");
				$(".ope-form-image-processor #dragAndDropSection").removeClass(
					"hidden"
				);
				$(".ope-form-add-image.current")
					.parents(".form-item")
					.find(".img-temp-content")
					.addClass("has-image")
					.find("img")
					.attr("src", results.img.src);
				$(".ope-form-add-image.current")
					.parents(".form-item")
					.find(".img-temp-content")
					.find('input[type="hidden"]')
					.val(results.img.src);
				$("body").removeClass("show-ope-form-image-processor");
			});

		$(".ope-form-image-processor #crop_cancel")
			.off()
			.on("click", function () {
				$(".ope-form-image-processor #resizeSection").addClass("hidden");
				$(".ope-form-image-processor #dragAndDropSection").removeClass(
					"hidden"
				);
			});
	}
}
$(function () {
	opeForm_ImageProcess();
});
