<?php
require 'config.php';
?>
<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Image resize</title>
    <link rel="stylesheet" href="https://code.1pxeye.com/download/code/css2022/reset.css?v1">
    <link rel="stylesheet" href="assets/css/style.css">
    <script>
    const $globalObjct = {
        "crop_image_width": <?php echo OPE_FORM_IMAGE_CROP_WIDTH; ?>,
        "crop_image_height": <?php echo OPE_FORM_IMAGE_CROP_HEIGHT; ?>,
        "not_a_image": "<?php echo OPE_FORM_NOT_A_IMAGE; ?>",
        "not_large_enough": "<?php echo OPE_FORM_IMAGE_NOT_LARGE_ENOUGH . '\n' . OPE_FORM_IMAGE_CROP_MAX_WIDTH . 'px>=W>=' . OPE_FORM_IMAGE_CROP_WIDTH . 'px\n' . OPE_FORM_IMAGE_CROP_MAX_HEIGHT . 'px>=H>=' . OPE_FORM_IMAGE_CROP_HEIGHT ?>px",
        "image_max_width": <?php echo OPE_FORM_IMAGE_CROP_MAX_WIDTH; ?>,
        "image_max_height": <?php echo OPE_FORM_IMAGE_CROP_MAX_HEIGHT; ?>,
        "too_large": "<?php echo OPE_FORM_IMAGE_TOO_LARGE . '\n' . OPE_FORM_IMAGE_CROP_MAX_WIDTH . 'px>=W>=' . OPE_FORM_IMAGE_CROP_WIDTH . 'px\n' . OPE_FORM_IMAGE_CROP_MAX_HEIGHT . 'px>=H>=' . OPE_FORM_IMAGE_CROP_HEIGHT ?>px",
    }
    </script>
    <style>
    body {
        font-family: "微软雅黑", sans-serif;
        display: flex;
        align-items: center;
        justify-content: center;
    }

    .form-item {
        width: 100%;
        margin: 0 auto;
        max-width: 400px;
        padding: 60px 0;
        align-items: center;
        display: flex;
        justify-content: center
    }

    .btn-add-image {
        width: 200px;
        height: 60px;
        position: relative;
        z-index: 5;
        background-color: #d34343;
    }

    .img-temp-content {
        display: none;
        position: relative;
    }

    .btn-remove {
        display: none;
    }

    .img-temp-content.has-image {
        width: 100%;
        max-width: 200px;
        margin-bottom: 10px;
        display: block;
    }

    .img-temp-content.has-image~.btn-add-image {
        display: none;
    }

    .img-temp-content.has-image .btn-remove {
        display: flex;
        align-items: center;
        justify-content: center;
        width: 22px;
        height: 22px;
        position: absolute;
        top: -8px;
        right: -8px;
        cursor: pointer;
    }

    .img-temp-content.has-image .btn-remove:after {

        content: "";
        width: 18px;
        height: 18px;
        background-color: #d34343;
        background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 384 512'%3E%3Cpath fill='%23ffffff' d='M342.6 150.6c12.5-12.5 12.5-32.8 0-45.3s-32.8-12.5-45.3 0L192 210.7 86.6 105.4c-12.5-12.5-32.8-12.5-45.3 0s-12.5 32.8 0 45.3L146.7 256 41.4 361.4c-12.5 12.5-12.5 32.8 0 45.3s32.8 12.5 45.3 0L192 301.3 297.4 406.6c12.5 12.5 32.8 12.5 45.3 0s12.5-32.8 0-45.3L237.3 256 342.6 150.6z'/%3E%3C/svg%3E");
        background-size: 85% 85%;
        background-repeat: no-repeat;
        background-position: center;
        display: block;
        border-radius: 100%;
        overflow: hidden;
    }

    .btn-add-image span {
        display: flex;
        align-items: center;
        justify-content: center;
        width: 100%;
        height: 100%;
        position: relative;
        white-space: nowrap;
        font-size: 18px;
        color: #ffffff;
        cursor: pointer;
        font-weight: 500;
    }
    </style>
</head>

<body>
    <div class="form-item">
        <div class="upload-image-content">
            <input type="hidden" name="upload_image" value="">
            <div class="img-temp-content">
                <img src="" alt="">
                <span class="btn-remove"></span>
            </div>
            <div class="btn-add-image"><span class="ope-form-add-image">添加图片</span></div>
        </div>
    </div>
    <div class="ope-form-image-processor-wrapper">
        <div class="ope-form-image-processor">
            <!-- Upload image -->
            <section id="dragAndDropSection">
                <div class="drop" id="drop">
                    <span><?php echo OPE_FORM_SELECT_IMAGE_AND_CROP; ?></span>
                </div>
                <input class="file-upload hidden" id="fileUpload" type="file">
            </section>

            <!-- Resize image -->
            <section class="hidden" id="resizeSection">
                <div class="image-resize" id="resizeImage"></div>
                <div class="control">
                    <button class="btn" id="crop"><?php echo OPE_FORM_IMAGE_CROP_TEXT; ?></button>
                    <button class="btn" id="crop_cancel"><?php echo OPE_FORM_IMAGE_CROP_TEXT_CANCEL; ?></button>
                </div>
            </section>
            <div class="close-ope-form-processor-card"></div>
        </div>
    </div>
    <script src="assets/js/jquery-3.6.4.min.js"></script>
    <script src="assets/js/imageCrop.js"></script>
    <script src="assets/js/script.js"></script>
</body>

</html>